
function setup(){
    if (window.widget) {
	var idx = widget.preferenceForKey("fontIdx");
	if (idx && idx.length > 0) {
	    document.getElementById("fontSelect").options[parseInt(idx)].selected = true;
	} else {
	    document.getElementById("fontSelect").options[12].selected = true;
	}
    }
    doFiglet();
}

function doFiglet()
{
    document.getElementById("doButton").src = "Images/Button_down.png";

    var text = document.getElementById("inputText").value.replace(/\\/g,"\\\\").replace(/\"/g,"\\\"").replace(/\`/g,"\\\`");
    
    var command = "echo '" + text + "' | ./figlet224/figlet -d fonts -C encodings.flc -f " + document.getElementById("fontSelect").value;

    document.getElementById("outputText").value = widget.system(command, null).outputString;	

    if (window.widget) {
	widget.setPreferenceForKey(document.getElementById("fontSelect").selectedIndex + '',
				   "fontIdx");
    }
}

function copy()
{
    document.getElementById("doButton").src = "Images/Button_down.png";

    var text = document.getElementById("inputText").value.replace(/\\/g,"\\\\").replace(/\"/g,"\\\"").replace(/\`/g,"\\\`");
    
    widget.system("./figlet224/figlet -d fonts -C encodings.flc -f " + document.getElementById("fontSelect").value + " \"" + text + "\" | /usr/bin/pbcopy", null);	

}

function buttonUpOut()
{
    document.getElementById("doButton").src = "Images/Button.png";
}

function gotoMemention(){
    if (window.widget) {
	hideBack();
	widget.openURL("http://www.memention.com/figlet");
    }
}

function gotoFiglet(){
    if (window.widget) {
	hideBack();
	widget.openURL("http://www.figlet.org");
    }
}

function gotoLicense(){
    if (window.widget) {
	hideBack();
	widget.openURL("http://www.memention.com/figlet/Artistic-license.txt");
    }
}
